Subject: Re: Bugs related to buffer-local tags-file-name

From: Eli Zaretskii <[email-masked]>
Date: Thu, 01 Dec 2016 18:53:48 +0200

close 158
close 17326
close 23164
close 19741
thanks

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Wed, 30 Nov 2016 03:12:20 +0200
> 
> On 29.11.2016 19:25, Eli Zaretskii wrote:
> 
> > Dmitry, should I wait for your testing as well, or should I just push
> > the changes?
> 
> Yes, sorry. I think you should go ahead with them, maybe with some minor 
> tweaks.

Done.

> - In visit-tags-table-buffer's docstring, "optional arg CONT" should 
> probably be just "CONT", all three times.

Fixed.

> - More importantly, this patch contains a backward-incompatible change 
> to the tags-completion-table function. Maybe we should consider how to 
> make BUF an optional argument.

It is optional now.

> - It would be great if let-binding tags-table-list around 
> tags-lazy-completion-table didn't leak it to the global value either 
> (which happens with company-etags). Alas, this seems to be a harder task.

Right, patches welcome.